services:
    rss:
        container_name: rss
        environment:
            - APP_NAME=RSS
        image: ghcr.io/ssddanbrown/rss:latest
        labels:
            traefik.docker.network: traefik
            traefik.enable: true
            traefik.http.routers.rss.entrypoints: websecure
            traefik.http.routers.rss.rule: Host(`rss.alexlebens.net`)
            traefik.http.routers.rss.service: rss
            traefik.http.services.rss.loadbalancer.server.port: 80
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik: null
        restart: always
        volumes:
            - storage:/app/storage

networks:
    traefik:
        name: traefik
        external: true

volumes:
    storage:
        driver: local
        driver_opts:
            type: none
            o: bind
            device: /var/lib/docker/volumes/partition/rss_storage
